Subject: Re: [PATCH net-next 0/2] net/smc: Spread workload over multiple cores

From: Leon Romanovsky <[email-masked]>
Date: Thu, 27 Jan 2022 08:18:48 +0200

On Thu, Jan 27, 2022 at 11:19:10AM +0800, Tony Lu wrote:
> On Wed, Jan 26, 2022 at 11:29:16AM -0400, Jason Gunthorpe wrote:
> > On Wed, Jan 26, 2022 at 09:01:39PM +0800, Tony Lu wrote:
> > > Currently, SMC creates one CQ per IB device, and shares this cq among
> > > all the QPs of links. Meanwhile, this CQ is always binded to the first
> > > completion vector, the IRQ affinity of this vector binds to some CPU
> > > core.
> > 
> > As we said in the RFC discussion this should be updated to use the
> > proper core APIS, not re-implement them in a driver like this.
> 
> Thanks for your advice. As I replied in the RFC, I will start to do that
> after a clear plan is determined.
> 
> Glad to hear your advice. 

Please do right thing from the beginning.

You are improving code from 2017 to be aligned with core code that
exists from 2020.

Thanks

> Tony Lu